Get an operating system for an SBM server
GET/v1/locations/{location_id}/order_options/sbm_flavor_models/{sbm_flavor_model_id}/operating_systems/{operating_system_id}
A GET request to the /v1/locations/{location_id}/order_options/sbm_flavor_models/{sbm_flavor_model_id}/operating_systems/{operating_system_id} endpoint will show details of an operating system specified in the path parameter. Location and server IDs have to be specified.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
location_id | stringA unique identifier of a location. A request to list all the location IDs is described in the Location section. |
sbm_flavor_model_id | stringA unique identifier of an SBM flavor. To list all flavors, use the relevant request. |
operating_system_id | stringA unique identifier of an operating system. |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/locations/1584/order_options/sbm_flavor_models/2684/operating_systems/260"{ "id": 260, "full_name": "Ubuntu 18.04-server x86_64", "name": "Ubuntu", "version": "18.04-server", "arch": "x86_64", "filesystems": [ "ext2", "ext4", "swap", "xfs", "reiser" ]}